<!DOCTYPE html>
<html lang="en">

<head>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css" rel="stylesheet" />
    <link href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700&display=swap" rel="stylesheet" />
    <link href="https://cdnjs.cloudflare.com/ajax/libs/mdb-ui-kit/4.2.0/mdb.min.css" rel="stylesheet" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">

    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Excel Generater Tools</title>

    <!-- @author: Teerapong Wonganan -->

    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mdb-ui-kit/4.2.0/mdb.min.js"></script>
    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>

</head>

<body>

    <div class="p-3">
        <h1>Excel Generater Tools</h1>
        <!-- Tabs navs -->
        <ul class="nav nav-tabs mb-3" id="ex1" role="tablist">
            <li class="nav-item" role="presentation">
                <a class="nav-link active" id="ex1-tab-1" data-mdb-toggle="tab" href="#ex1-tabs-1" role="tab"
                    aria-controls="ex1-tabs-1" aria-selected="true">Input</a>
            </li>
            <li class="nav-item" role="presentation">
                <a class="nav-link" id="ex1-tab-2" data-mdb-toggle="tab" href="#ex1-tabs-2" role="tab"
                    aria-controls="ex1-tabs-2" aria-selected="false">Result</a>
            </li>
        </ul>
        <!-- Tabs navs -->

        <!-- Tabs content -->
        <div class="tab-content" id="ex1-content">


            <div class="tab-pane fade show active" id="ex1-tabs-1" role="tabpanel" aria-labelledby="ex1-tab-1">
                <button class="btn btn-xs btn-warning" onclick="clearAll();">Clear</button>
                <button class="btn btn-xs btn-primary" onclick="generate();">Generate</button>

                <hr>

                <div class="input-group mb-3">
                    <span class="input-group-text" id="basic-addon1">Shop Name</span>
                    <input type="text" class="form-control" id="shop_name" placeholder="Shop Name">
                </div>
                <div class="input-group mb-3">
                    <span class="input-group-text" id="basic-addon1">Shop URL</span>
                    <input type="text" class="form-control" id="shop_url" placeholder="Shop Name">
                </div>

                <textarea name="" id="url" cols="30" rows="3" class="form-control input" target="url"
                    placeholder="Drop Product URL ..."></textarea>
                <br>
                <textarea name="" id="img" cols="30" rows="3" class="form-control input" target="img"
                    placeholder="Drop Image URL ..."></textarea>
                <br>

                Product URL :
                <span id="count_url">0</span>
                <textarea name="" id="output_url" cols="30" rows="10" class="form-control"></textarea>
                <br>

                Image URL :
                <span id="count_img">0</span>
                <textarea name="" id="output_img" cols="30" rows="10" class="form-control"></textarea>
            </div>


            <div class="tab-pane fade" id="ex1-tabs-2" role="tabpanel" aria-labelledby="ex1-tab-2">
                <button class="btn btn-xs btn-success" onclick="copy();">Copy</button>
                <hr>
                <textarea name="" id="result" cols="30" rows="50" class="form-control" readonly></textarea>
            </div>


        </div>
        <!-- Tabs content -->
    </div>

</body>

</html>

<script>

    function copy() {
        navigator.clipboard.writeText($('#result').val().replaceAll("\n*******************************\n", ""));
    }

    function clearAll() {
        $("#shop_name").val("");
        $("#shop_url").val("");
        $("#img").val("");
        $("#url").val("");
        $("#output_img").val("");
        $("#output_url").val("");
        $("#count_img").text("0");
        $("#count_url").text("0");
        $("#result").val("");
    }

    function generate() {
        var result = $("#result").val();
        var shop_name = $("#shop_name").val();
        var shop_url = $("#shop_url").val();
        var output_url = $("#output_url").val();
        var output_img = $("#output_img").val();
        var content = "";

        var url_arr = output_url.split("\n");
        var img_arr = output_img.split("\n");

        for (let index = 0; index < url_arr.length; index++) {
            if (img_arr[index] != "" && url_arr[index] != "") {
                content += img_arr[index] + "," + url_arr[index] + "," + shop_name + "," + shop_url + "\n";
            }
        }

        $("#result").val(result + "\n" + "*******************************" + "\n" + content);

        $("#shop_name").val("");
        $("#shop_url").val("");
        $("#img").val("");
        $("#url").val("");
        $("#count_img").text("0");
        $("#count_url").text("0");
        $("#output_img").val("");
        $("#output_url").val("");
    }


    $(".input").on("input", function () {
        $("#output_" + $(this).attr("target")).val($("#output_" + $(this).attr("target")).val() + $(this).val() + "\n");
        $("#count_" + $(this).attr("target")).text($("#count_" + $(this).attr("target")).text() * 1 + 1)
        $(this).val("");
    });

</script>